/*
* mpudef.h                                                  Version 5.2.0
*
* MPU definitions.
*
* Copyright (c) 2016-2024 Micro Digital Inc.
* All rights reserved. www.smxrtos.com
*
* SMX is protected by patents listed in smx.h.
*
* This software is confidential and proprietary to Micro Digital Inc.
* It has been furnished under a license and may be used, copied, or
* disclosed only in accordance with the terms of that license and with
* the inclusion of this header. No title to nor ownership of this
* software is hereby transferred.
*
* Author: Ralph Moore
*
*****************************************************************************/

#ifndef MP_MPUDEF_H
#define MP_MPUDEF_H

#include "mpu.h"

/* MPA Template Externs */
extern MPA mpa_tmplt_init;
extern MPA mpa_tmplt_fs;

/* IRQ Permission Table Externs */
extern const IRQ_PERM sb_irq_perm_fs[];
extern const IRQ_PERM sb_irq_perm_uart[];

/* Misc */
extern u32 heap0_hn;  /* heap0 heap number */

#endif /* MP_MPUDEF_H */