/*
* mct.c                                                     Version 5.2.0
*
* Mission critical example task.
*
* Copyright (c) 2023 Micro Digital Inc.
* All rights reserved. www.smxrtos.com
*
* This software is confidential and proprietary to Micro Digital Inc.
* It has been furnished under a license and may be used, copied, or
* disclosed only in accordance with the terms of that license and with
* the inclusion of this header. No title to nor ownership of this
* software is hereby transferred.
*
* Author: Ralph Moore
*
*****************************************************************************/

#include "smxbase.h"

TCB_PTR mcon;
void mcon_main(u32);

void mcon_init(void)
{
   mcon = smx_TaskCreate(mcon_main, PRI_NORM, 1000, 0, "mcon", NULL, NULL);
   smx_TaskStart(mcon);
}

void mcon_exit(void)
{
}

#if defined(__IAR_SYSTEMS_ICC__)
#pragma diag_suppress=Pe550  /* avoid warning about umode variable set but not used */
#endif

void mcon_main(u32)
{
   u32 i;
   BOOLEAN umode;  /* in umode */

   while (1)
   {
      umode = sb_IN_UMODE();
      for (i = 500000; i > 0; i--) {}
      smx_TaskSuspend(mcon, 2);
   }
}