/*
* uartf7.h                                                  Version 4.3.0
*
* Defines for UART on STM32 Processors with HAL library.
*
* Copyright (c) 2005-2016 Micro Digital Inc.
* All rights reserved. www.smxrtos.com
*
* This software is confidential and proprietary to Micro Digital Inc.
* It has been furnished under a license and may be used, copied, or
* disclosed only in accordance with the terms of that license and with
* the inclusion of this header. No title to nor ownership of this
* software is hereby transferred.
*
* Author: XiaoYi Chen
*
*****************************************************************************/

#ifndef SMX_UART_H
#define SMX_UART_H

#ifdef __cplusplus
extern "C" {
#endif

void UartInit(u8 port, u32 baudrate);
void UartPutChar(u8 port, u8 chr);
u8 UartGetChar(u8 port);
int rxReady(u8 port);
int txReady(u8 port);

#ifdef __cplusplus
}
#endif

#endif /* SMX_UART_H */
